Bug 1560

Summary: Download count to applications
Product: [Websites] maemo.org Website Reporter: Urho Konttori <urho.konttori>
Component: DownloadsAssignee: Ferenc Szekely <ferenc>
Status: CLOSED FIXED QA Contact:
Severity: enhancement    
Priority: High CC: kees.jongenburger
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://downloads.maemo.org/OS2007

Description Urho Konttori (reporter) 2007-06-19 15:13:07 UTC
It would be interesting to know the download counts for the applications in
downloads.maemo.org. Also, it would be interesting to know the viewed count (as
in how many people have looked at this application). 

The download count could then be used for example to sort the applications. 

Also, a separation of downloads all time / this week / this month would be of
interest to the users and to the developers.
Comment 1 Quim Gil nokia 2007-06-27 06:36:17 UTC
Reassigning to Ferenc since he is planning a new round of improvements for the
application catalog.
Comment 2 Quim Gil nokia 2007-07-16 09:44:15 UTC
This enhancement request has been accepted as part of the application catalog
improvements Ferenc is currently puting in production.
Comment 3 Ferenc Szekely maemo.org 2007-07-16 11:40:06 UTC
Be more specific: we can only count to clicks on an 'install icon' in the
catalog. Whether it will lead to a successful (and full) download or not, we
can not say and count... So nobody should expect correct download figures from
this feature.
Comment 4 Kees Jongenburger 2007-07-16 11:56:30 UTC
>So nobody should expect correct download figures from this feature.
Yes this is true.
Knowing if an install was successful would require some changes to the package
manager so that install and update failures could be uploaded. My guess would
be that a simple callback-url field in the install file would be enough.
Thinking of it perhaps that  this functionality would better not belong in the
.install file but in the deb package. I this feature gets implemented the next
question will be to split up the download based on it-OS version :P
Comment 5 Urho Konttori (reporter) 2007-07-18 00:06:10 UTC
I see no problem in that one has to rely on the .install click figures. It's an
approximation, but a relatively good one. Also, it's always pretty easy to save
the session cookie info there and make it so that in the current session, only
one click counts (if, e.g. one tries multiple times). Download counters are
never 100% true, but statistics rarely are. 

I think that adding call home functionality to all install files is not a very
nice thing to do. Also, even that only tells how many successful installs have
been done. If a user reflashes and re-installs the same app, it will register
anyway as two installs.

As to Keesjs idea about the it os version, isn't that possible to get from the
browsers reported os version (and browser version) numbers?  

Anyway, my point is that the download counter is pretty good meter anyway. If
really needed, add the device split there based on browser / os version
numbers.
Comment 6 Ferenc Szekely maemo.org 2007-10-23 11:04:37 UTC
This is implemented and will be available in the new catalog. Expected launch
is this or next week.
Comment 7 Quim Gil nokia 2007-11-20 10:45:27 UTC
Most of the original request is implemented. Enough to resolve as fixed?
Comment 8 Urho Konttori (reporter) 2007-11-20 10:46:11 UTC
agreed.
Comment 9 Jake Kunnari 2007-12-11 14:33:26 UTC
Closing verified bug reports.